
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>

#include "ephi.hpp"

int Ephi::debug_level = 99;

void Ephi::debug (int level, const char *fmt, ...)
{
  va_list ap;
  va_start (ap, fmt);
  debug (level, fmt, ap);
  va_end (ap);
}

void Ephi::debug (int level, const char *fmt, va_list ap)
{
  if ( level > debug_level )
      return;
  vfprintf (stderr, fmt, ap);
}

